[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomSpeedButton.GlyphChanged

Performs actions needed when the value in the Glyph property has been changed.

## Declaration

Source position: buttons.pp line 370

`protected procedure TCustomSpeedButton.GlyphChanged(`
`Sender: TObject`
`); virtual;`

## Arguments

`Sender` |  | TObject instance for the change notification.

## Description

GlyphChanged implements the handler routine used for the OnChange event handler in the Glyph for the control. It is assigned in the Create constructor. GlyphChanged calls Invalidate to request the control to be redrawn when the glyph image is updated.

## See also

TCustomSpeedButton.Create |  | Create - constructor for TCustomSpeedButton: calls inherited Create and initializes many defaults and properties.
TButtonGlyph.OnChange |  | Event handler signalled when the bitmap in Glyph has been changed.
TControl.Invalidate |  | Causes a delayed Repaint of the control by marking its visible area of the control as invalid.